; PlatformIO Project Configuration File
;
;   Build options: build flags, source filter
;   Upload options: custom upload port, speed and extra flags
;   Library options: dependencies, extra library storages
;   Advanced options: extra scripting
;
; Please visit documentation for the other options and examples
; https://docs.platformio.org/page/projectconf.html
[env]
lib_deps =
  SPI
  WiFi101
  Time
  https://github.com/nobodyinperson/ArduinoMD5.git

[env:mega-ArduinoJsonv5]
platform = atmelavr
board = megaatmega2560
framework = arduino
lib_deps =
  ${env.lib_deps}
  ArduinoJson@5

[env:mega-ArduinoJsonv6-debug]
platform = atmelavr
board = megaatmega2560
framework = arduino
build_flags = -DLSC_DEBUG
lib_deps =
  ${env.lib_deps}
  https://github.com/bblanchon/ArduinoJson.git#v6.8.0-beta

[env:genuino-ArduinoJsonv6-debug]
platform = atmelsam
board = mkr1000USB
framework = arduino
build_flags = -DLSC_DEBUG
lib_deps =
  ${env.lib_deps}
  https://github.com/bblanchon/ArduinoJson.git#v6.8.0-beta
